Subject: RE: DLLTOOL documentation?
From: [email-masked] (Colin Peters)

26 Mar 1997 20:16:03 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <01BC39F0.2B3A3320.cygnus.gnu-win32@gbird0>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 7bit
Original-To: "'Bruce James'" <[email-masked]>
Original-Cc: "'GNU-Win32'" <[email-masked]>
Original-Sender: [email-masked]

Bruce James[SMTP:[email-masked]] wrote:
>1. Is there any documentation on DLLTOOL available?

Not much as far as I can figure out. You can get some idea of what it
does by typing "dlltool --help", which gives a brief summary. You can
also look at the Cygwin readmes and FAQ for examples of dlltool in
use (for adding .reloc sections to executables, and for building DLLs).

>2. What's the Gnu equivalent of Borland's IMPLIB for generating an import
>library from a DLL?

That's a good question. I don't think there actually is one. However,
Windows 95 at least you can use the Quick View option on the DLL to get
a list of exports, which you can then laboriously produce your own .def
file from, and then run dlltool on the .def file.

There's probably a better way to do it, but I don't know it.

Colin.

-- Colin Peters - [email-masked]
-- Saga University Dept. of Information Science
-- http://www.fu.is.saga-u.ac.jp/~colin/index.html
-- http://www.geocities.com/Tokyo/Towers/6162/

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".